@import url(../fonts/fonts.css);
@import url(./scroll-bar.css);
:root {
  /* ***** Colors */
  --color-primary: #b5de58;
  --color-primary: #8da1ff;
  --color-accent: #ffa724;
  /* --color-primary-bg: #222;
  --color-secondary-bg: #333; */
  --color-primary-bg-rgb: 7, 16, 34;
  --color-primary-bg: rgb(var(--color-primary-bg-rgb));
  /* --color-primary-bg: rgb(7, 16, 34); */
  --color-secondary-bg: rgb(9, 28, 65);
  --color-text: #fefefe;

  /* ***** Gradients */
  --main-gradient: linear-gradient(135deg, #5f5dda 0%, #60d5f8 100%);
  /* --main-gradient: linear-gradient(135deg, #102025 0%, #bcc0a8 100%); */
  /* --main-gradient: linear-gradient(135deg, #6f6c32 0%, #b0c25e 100%); */

  /* ***** Font Sizes */
  --text-normal-size: 14px;
  --text-menu-size: 16px;
  --text-title-size: 34px;

  /* ***** Font Weights */
  --text-normal-weight: 300;
  --text-bold-weight: calc(var(--text-normal-weight) + 300);
  --text-menu-normal-weight: 400;
  --text-title-weight: 800;

  /* ***** Margins */
  --container-padding-top-bottom: 70px;
  --container-padding-sides: 20px;

  /* /////////////////////// */
  --landing-page-max-width: 1700px;
}
@media (min-width: 768px) {
  :root {
    /* ***** Font Sizes */
    --text-normal-size: 16px;
    --text-menu-size: 18px;
    --text-title-size: 54px;

    /* ***** Font Weights */
    --text-title-weight: 900;

    /* ***** Margins */
    --container-padding-top-bottom: 130px;
    --container-padding-sides: 50px;
  }
}
@media (min-width: 992px) {
  :root {
    /* ***** Margins */
    --container-padding-sides: 70px;
  }
}

* {
  box-sizing: border-box;
  -o-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Montserrat";
  background-color: var(--color-primary-bg);
  color: var(--color-primary-bg);
  color: var(--color-text);
}

.container {
  padding-right: var(--container-padding-sides);
  padding-left: var(--container-padding-sides);
  margin-right: auto;
  margin-left: auto;
  width: 100%;
  color: var(--color-text);
  /* background-color: var(--color-secondary-bg); */
}

@media (min-width: 768px) {
  .container {
    width: 750px;
  }
}
@media (min-width: 992px) {
  .container {
    width: 970px;
  }
}
@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}

/* *********************************************** */
/* ************* COMMON STYLES START ************* */
/* *********************************************** */

section:not(.landing-page):not(.overlays),
footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: var(--container-padding-top-bottom);
  padding-bottom: var(--container-padding-top-bottom);
  text-align: center;
  gap: 30px;
}

section .section-description {
  max-width: 85%;
}

section.has-image .section-description {
  max-width: 80%;
}

section.has-image {
  padding-right: 0;
  padding-left: 0;
}

section .section-image {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  padding: 0;
  width: 100%;
  height: 250px;
  overflow: hidden;
}
@media (min-width: 768px) {
  section .section-image {
    height: 300px;
  }
}

section .section-image img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.important {
  color: var(--color-primary);
}

.text {
  font-weight: var(--text-normal-weight);
  font-size: var(--text-normal-size);
  line-height: 1.6;
}

.text.important {
  font-weight: var(--text-bold-weight);
}

.gradient {
  color: transparent;
  background-image: var(--main-gradient);
  background-clip: text;
}

.menu-item {
  font-weight: var(--text-menu-normal-weight);
  font-size: var(--text-menu-size);
}

.title {
  font-weight: var(--text-title-weight);
  font-size: var(--text-title-size);
  line-height: 1;
}

.text-shadow {
  text-shadow: 1px 1px 1px black;
}

/* *********************************************** */
/* ************** COMMON STYLES END ************** */
/* *********************************************** */

/* ********************************************** */
/* ************* LANDING-PAGE START ************* */
/* ********************************************** */

.landing-page {
  display: flex;
  flex-direction: column;
  position: relative;
  height: 100dvh;
  min-height: 500px;
  z-index: 0;
}

.landing-page::before {
  content: "";
  position: absolute;
  width: 30px;
  height: 30px;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--color-text);
  mask-image: url(../imgs/icons/double-arrow-down.svg);
  mask-position: center;
  mask-repeat: no-repeat;
  mask-size: contain;
  animation: animation-up-down 0.3s infinite ease-in-out;
  animation-direction: alternate;
}
@keyframes animation-up-down {
  0% {
    bottom: 10px;
  }
  100% {
    bottom: 25px;
  }
}

.landing-page::after {
  content: "";
  position: absolute;
  inset: 0;
  background-image: linear-gradient(
      to right,
      rgba(var(--color-primary-bg-rgb), 1) 0%,
      rgba(var(--color-primary-bg-rgb), 0.7) 60%,
      transparent 100%
    ),
    linear-gradient(
      to top,
      rgba(var(--color-primary-bg-rgb), 1) 0%,
      rgba(var(--color-primary-bg-rgb), 0.95) 50px,
      rgba(var(--color-primary-bg-rgb), 0) 250px
    );
  z-index: -1;
}
@media (min-width: 768px) {
  .landing-page::after {
    background-image: linear-gradient(
        to right,
        rgba(var(--color-primary-bg-rgb), 0.8) 0%,
        rgba(var(--color-primary-bg-rgb), 0.7) 35%,
        transparent 60%,
        transparent 100%
      ),
      linear-gradient(
        to top,
        rgba(var(--color-primary-bg-rgb), 1) 0%,
        rgba(var(--color-primary-bg-rgb), 0.95) 50px,
        rgba(var(--color-primary-bg-rgb), 0) 250px
      );
  }
}

/* ************ LANDING PAGE BG START ************ */
.landing-page .lp-bg {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
}
.landing-page .lp-bg img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
/* ************* LANDING PAGE BG END ************* */

/* **************** HEADER START **************** */

header {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 20px;

  position: relative;
  padding: 30px 30px 0px 30px;
  background-color: unset;
}
@media (min-width: 768px) {
  header {
    flex-direction: row;
    background-color: unset;
    margin-bottom: 10px;
    padding: 30px 80px;
  }
}
@media (min-width: 992px) {
  header {
    flex-direction: row;
    background-color: unset;
    padding: 30px 120px;
  }
}
@media (min-width: 1200px) {
  header {
    padding: 30px 150px;
  }
}

header .logo .title {
  font-size: 28px;
  letter-spacing: -1.5px;
}
@media (min-width: 768px) {
  header .logo .title {
    font-size: 34px;
  }
}
@media (min-width: 992px) {
  header .logo .title {
    font-size: 38px;
  }
}
@media (min-width: 1200px) {
  header .logo .title {
    font-size: 42px;
  }
}

header .links {
  display: flex;
  justify-content: space-between;
  position: relative;
  width: 80%;
  max-width: 350px;
  margin-top: 10px;
}
@media (min-width: 768px) {
  header .links {
    display: flex;
    gap: 40px;
    width: auto;
    max-width: unset;
    margin-top: 0;
  }
}
@media (min-width: 992px) {
  header .links {
    gap: 60px;
  }
}
@media (min-width: 1200px) {
  header .links {
    gap: 90px;
  }
}

header .links::before {
  content: "";
  position: absolute;
  inset: -10px -20px;
  border-radius: 8px;
  background-color: var(--color-secondary-bg);
  opacity: 0.75;
  z-index: -1;
}

header .links a {
  color: inherit;
}

/* ***************** HEADER END ***************** */

/* ***************** CORE START ***************** */

.landing-page .core {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-grow: 1;
  gap: 20px;

  position: relative;
  text-align: center;

  padding: 0 30px;
}
@media (min-width: 768px) {
  .landing-page .core {
    justify-content: center;
    align-items: start;
    text-align: start;
    padding: 0 80px;
  }
}
@media (min-width: 992px) {
  .landing-page .core {
    padding: 0 120px;
  }
}
@media (min-width: 1200px) {
  .landing-page .core {
    padding: 0 150px;
  }
}

.landing-page .core > span {
  flex-grow: 1;
}

.landing-page .core .description {
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media (min-width: 768px) {
  .landing-page .core .description {
    align-items: start;
    max-width: 500px;
  }
}

.landing-page .core .description .title {
  margin-bottom: 20px;
}
@media (min-width: 768px) {
  .landing-page .core .description .title {
    margin-bottom: 30px;
  }
}

.landing-page .core .description .text {
  font-size: 18px;
  line-height: 1.2;
  font-weight: 400;
  position: relative;
  z-index: 0;
}
@media (min-width: 768px) {
  .landing-page .core .description .text {
    font-size: 20px;
    line-height: 1.6;
  }
}

.landing-page .core .description .text::before {
  content: "";
  position: absolute;
  inset: -10px;
  border-radius: 10px;
  z-index: -1;
}

.landing-page .core .btn-action {
  padding: 20px 30px;
  font-size: 16px;
  font-weight: 600;
  color: var(--color-text);
  background-image: var(--main-gradient);
  border-radius: 10px;
  box-shadow: 1px 3px 3px rgba(0, 0, 0, 0.1);
}
@media (min-width: 768px) {
  .landing-page .core .btn-action {
    font-size: 22px;
    padding: 25px 45px;
  }
}

/* ****************** CORE END ****************** */

/* ********************************************** */
/* ************** LANDING-PAGE END ************** */
/* ********************************************** */

/* ********************************************** */
/* ************* AVAILABILITY START ************* */
/* ********************************************** */

/* ********************************************** */
/* ************* AVAILABILITY START ************* */
/* ********************************************** */

.availability-section .features {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  column-gap: 10px;
}
@media (min-width: 768px) {
  .availability-section .features {
    column-gap: 150px;
  }
}

.availability-section .features .feature {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100px;
  gap: 15px;
}

.availability-section .features .feature {
  margin-bottom: 15px;
  text-align: center;
}

.availability-section .features .feature img {
  width: 60px;
  height: 60px;
}
@media (min-width: 768px) {
  .availability-section .features .feature img {
    width: 100px;
    height: 100px;
  }
}

.availability-section .features .feature .details p {
  line-height: 1.5;
}

/* ********************************************** */
/* ************** AVAILABILITY END ************** */
/* ********************************************** */

/* *********************************************** */
/* *************** OUR PACKS START *************** */
/* *********************************************** */

.our-packs-section .packs {
  display: flex;
  flex-wrap: wrap;
  margin: auto;
  justify-content: center;
  gap: 50px;
}

.our-packs-section .packs .pack {
  position: relative;
  display: grid;
  grid-template-rows: 168px 18px 18px 146px;
  grid-template-columns: 250px;
  max-height: 350px;
  max-width: 250px;
  border-radius: 10px;
}

.our-packs-section .packs .pack::before {
  content: "";
  position: absolute;
  border-radius: 18px;
  background-color: rgba(255, 255, 255, 0.1);
  inset: -10px;
  z-index: -1;
}

.our-packs-section .packs .pack img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  grid-row: 1 / span 2;
  border-radius: 10px 10px 0 0;
}

.our-packs-section .packs .pack a {
  grid-row: 2 / span 2;
  align-self: center;
  justify-self: center;

  font-size: 11px;
  font-weight: 700;
  text-transform: uppercase;
  padding: 10px 20px;

  border-radius: 100px;
  color: var(--color-primary-bg);
  background-color: var(--color-primary);
  z-index: 1;
}

.our-packs-section .packs .pack .caption-bg {
  position: absolute;
  grid-row: 3 / span 2;
  inset: 0;
  border-radius: 0 0 10px 10px;
  background-color: var(--color-secondary-bg);
  z-index: -1;
}

.our-packs-section .packs .pack figcaption {
  grid-row: 4;
  justify-self: center; /*Justify self within the grid*/
  align-self: center; /*Align self within the grid*/

  display: flex;
  flex-direction: column;
  gap: 15px;
  font-size: 12px;
  padding: 10px 20px;
}

/* *********************************************** */
/* **************** OUR PACKS END **************** */
/* *********************************************** */

/* *********************************************** */
/* ************** OUR CLIENTS START ************** */
/* *********************************************** */

.nos-clients-section .section-image {
  display: grid;
  grid-template-columns: auto 1fr auto;
  justify-items: center;
}

.nos-clients-section .section-image::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(../imgs/bg_02.jpg);
  filter: brightness(0.4) contrast(1.2);
  z-index: -1;
}

.nos-clients-section .testimonials {
  width: 100%;
  height: 100%;
}

.nos-clients-section .section-image .quote {
  position: relative;
  display: block;
  width: 38px;
  height: 26px;
  margin: 0 10px;
  background-color: var(--color-primary);
  mask: url(../imgs/icons/quotes.svg);
  mask-size: cover;
}
@media (min-width: 768px) {
  .nos-clients-section .section-image .quote {
    width: 57px;
    height: 39px;
    margin: 0 30px;
  }
}
@media (min-width: 992px) {
  .nos-clients-section .section-image .quote {
    margin: 0 50px;
  }
}

.nos-clients-section .section-image .quote.right {
  top: -20%;
  transform: rotateZ(180deg);
}

.nos-clients-section .section-image .quote.left {
  top: 10%;
}

.swiper-pagination-bullet {
  border-radius: 5px;
  opacity: 0.75;
  transition: 1s;
}

.swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
  border: solid 1px var(--color-text);
  transition: 0.3s;
}

.swiper-pagination-bullet-active {
  background-color: var(--color-accent);
  width: 20px;
  opacity: 1;
  transition: 0.3s;
}
/* .nos-clients-section .testimonials .points {
  position: absolute;
  display: flex;
  gap: 15px;
  bottom: 10%;
}

.nos-clients-section .testimonials .points span {
  display: block;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  cursor: pointer;
}

.nos-clients-section .testimonials .points span.selected {
  background-color: var(--color-accent);
}

.nos-clients-section .testimonials .points span:not(.selected) {
  border: solid 1px var(--color-text);
} */

.nos-clients-section .testimonials .testimonials-slides {
  display: flex;
  align-items: center;
}

.nos-clients-section .testimonials .testimonial {
  height: fit-content;
}

.nos-clients-section .testimonials .testimonial[data-current] {
  opacity: 1;
}

.nos-clients-section .testimonials .testimonial p {
  margin-bottom: 15px;
}

/* *********************************************** */
/* *************** OUR CLIENTS END *************** */
/* *********************************************** */

/* ************************************************ */
/* ************ COMFORT & DESIGN START ************ */
/* ************************************************ */

.confort-et-design-section .cars-details {
  position: relative;
  max-width: 288px;
}
/* 4px represents the scrollbar width, 40px respresents the sides padding (20px * 2) */
@media (min-width: calc(288px * 2 + 40px + 4px)) {
  .confort-et-design-section .cars-details {
    max-width: calc(288px * 2);
  }
}
@media (min-width: 992px) {
  .confort-et-design-section .cars-details {
    max-width: calc(288px * 3);
  }
}

.confort-et-design-section .cars-details::before {
  content: "";
  position: absolute;
  inset: -5px;
  border-radius: 13px;
  background-color: rgba(255, 255, 255, 0.1);
  z-index: -1;
}
/* 4px represents the scrollbar width, 40px respresents the sides padding (20px * 2) */
@media (min-width: calc(288px * 2 + 40px + 4px)) {
  .confort-et-design-section .cars-details::before {
    inset: -10px;
  }
}

.confort-et-design-section .cars-details .pictures {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 288px;
  width: 100%;
  border-radius: 10px 10px 0 0;
  overflow: hidden;
  margin: auto;
}
/* 4px represents the scrollbar width, 40px respresents the sides padding (20px * 2) */
@media (min-width: calc(288px * 2 + 40px + 4px)) {
  .confort-et-design-section .cars-details .pictures {
    max-width: calc(288px * 2);
  }
}
@media (min-width: 992px) {
  .confort-et-design-section .cars-details .pictures {
    width: calc(288px * 3);
    max-width: calc(288px * 3);
  }
}

.confort-et-design-section .cars-details .pictures img {
  display: block;
  width: 288px;
  height: 180px;
  flex-grow: 1;
  object-fit: cover;
  object-position: 50% 65%;
}

.confort-et-design-section .cars-details .text {
  padding: 20px 30px;

  font-size: 14px;
  line-height: 1.6;
  text-align: center;
  text-align-last: center;

  border-radius: 0 0 10px 10px;
  background-color: var(--color-secondary-bg);
}

/* ************************************************ */
/* ************* COMFORT & DESIGN END ************* */
/* ************************************************ */

/* ************************************************ */
/* *************** CONTACT US START *************** */
/* ************************************************ */

.nous-contacter-section {
  background-color: var(--color-secondary-bg);
}

.nous-contacter-section .contact-methods {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.nous-contacter-section .contact-methods .contact-method {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: inherit;
}

.nous-contacter-section .contact-methods .contact-method .phone-icon,
.nous-contacter-section .contact-methods .contact-method .mail-icon {
  display: block;
  width: 56px;
  height: 56px;
  background-color: var(--color-text);
}

.nous-contacter-section .contact-methods .contact-method .phone-icon {
  mask: url(../imgs/icons/phone.svg);
  mask-size: contain;
  mask-repeat: no-repeat;
}

.nous-contacter-section .contact-methods .contact-method .mail-icon {
  mask: url(../imgs/icons/mail.svg);
  mask-size: contain;
  mask-repeat: no-repeat;
}

.nous-contacter-section .contact-methods .contact-method p {
  position: relative;
  font-size: 16px;
  font-weight: 500;
  color: inherit;

  padding: 10px 30px;
  border: solid 2px;
  border-color: transparent var(--color-primary);

  border-radius: 5px;
}

/* ************************************************ */
/* **************** CONTACT US END **************** */
/* ************************************************ */

/* ************************************************ */
/* **************** OVERLAYS START **************** */
/* ************************************************ */

.overlays {
  display: flex;
  flex-direction: column;
  position: fixed;
  right: 20px;
  bottom: 20px;
}

section.overlays .overlay .whatsapp-icon {
  display: block;
  width: 64px;
  height: 64px;
  background-image: url(../imgs/icons/whatsapp.svg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
}

/* ************************************************ */
/* ***************** OVERLAYS END ***************** */
/* ************************************************ */

section[animable] {
  opacity: 0;
  transform: translateY(0px);
}

section[animable].shown {
  animation-name: show-section;
  animation-duration: 1s;
  animation-fill-mode: forwards;
}

@keyframes show-section {
  0% {
    opacity: 0;
    transform: translateY(0px);
  }
  1% {
    opacity: 0;
    transform: translateY(150px);
  }
  100% {
    opacity: 1;
    animation: translateY(0);
  }
}
